//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wAddPane:
//   Construct the final add form 

#ifndef p4wAddPane_H
#define p4wAddPane_H

#include "p4wRunPane.h"

class StrDict;

class p4wAddPane : public p4wRunPane {

public:

	p4wAddPane( p4wView & ParentView, p4wRequest & Request, int isFile,
		int unchecked );
	virtual		~p4wAddPane();

	//
	// Render functions.
	
	virtual void	Begin();
	virtual	void	Render( StrDict * varList );
	virtual void	End();

	//
	// Overrides for spec edit panes.
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	int	IgnoreField( const char * field ) { return 0; };
	virtual	int	CustomField( const char * field,
				StrDict * varList, int len, SpecElem *se ) { return 0; };
	
	virtual void	HandleError( Error *err );
	
	void		EndPage();

private:
	enum State { gettingchanges, gettingfiles, done } fState;
	
	int fGotOneChange;
	int fNFiles;
	int fNAlreadyInP4;
	int fIsFileBrowser;
};

#endif // p4wAddPane_H
