//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wAddSelectPane:
//   Construct a form used to select files to add


#ifndef p4wAddSelectPane_H
#define p4wAddSelectPane_H

#include "p4wSpecPane.h"

class StrDict;

class p4wAddSelectPane : public p4wSpecPane {

public:

	p4wAddSelectPane( p4wView & ParentView, p4wRequest & Request );
	virtual			~p4wAddSelectPane();

	//
	// Render functions.
	virtual void	Begin();
	virtual	void	RenderInfo( char *data, char level );
	virtual void	Render( StrDict *varList );
	virtual void	RenderError( char *data, int escapeHTML );
	virtual void	End();
	
	virtual void	HandleError( Error *err );
	virtual void	GetAction( StrBuf & actionURL );
	
	virtual	int	IgnoreField( const char * field ) { return 0; } ;
	virtual	int	CustomField( const char * field, StrDict * varList,
				int maxFieldLen, SpecElem *se ) { return 0; };

private:
	int  fNMaps;
	int  fSeenBegin;
	StrBuf fWherePath;
};

#endif // p4wAddSelectPane_H
