//
// Copyright 2003 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wAnnFilelogPane:
//   Saves filelog for specified file for later use by annotate

#ifndef p4wAnnFilelogPane_H
#define p4wAnnFilelogPane_H


#include "p4wPane.h"


class StrDict;

class p4wAnnFilelogPane : public p4wPane {

public:

	p4wAnnFilelogPane( p4wView & ParentView, p4wRequest & Request, StrBuf *fl, 
		int *cwid, int *uwid, p4wHtml *phtm );

	virtual	~p4wAnnFilelogPane();

	//
	// Render functions.
	
	virtual	void Begin();
	virtual	void Render( StrDict * varList );
	virtual void RenderError( char *data, int escapeHTML );
	virtual	void End();
	
private:

	StrBuf  *fFileLog;
	p4wHtml *fhtm;
	int *fChgWidth;
	int *fUsrWidth;
	int fSeenData;
	int fRowCtr;
	int fExtended;
};

#endif // p4wAnnFilelogPane_H
