//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wBranchesPane:
//   Displays output of the branches command

#ifndef p4wBranchesPane_H
#define p4wBranchesPane_H

#include "p4wPane.h"


class StrDict;


class p4wBranchesPane : public p4wPane {

public:

				p4wBranchesPane( p4wView & ParentView, p4wRequest & Request );
	virtual			~p4wBranchesPane();

	//
	// Render functions.
	
	virtual	void		Begin();
	virtual	void		Render( StrDict * varList );
	virtual	void		End();

private:

	void	doForm();
	void	doFilterMessage(StrBuf *msg);

	int	fRowCtr;
	int fBranchCtr;

	// filter variables
	char	fBfl;	// bitflags: 1=owner is user
	StrBuf	fBnm;	// name contain this string
	StrBuf	fBow;	// filter by this owner
	StrBuf	fBdu;	// filter by updated date >= this date
	StrBuf	fBda;	// filter by accessed date >= this date
};

#endif // p4wBranchesPane_H
