// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wClientPane:
//   The client pane.

#ifndef p4wClientPane_H
#define p4wClientPane_H


#include "p4wSpecPane.h"

class StrDict;

class p4wClientPane : public p4wSpecPane {

public:

	p4wClientPane( p4wView & ParentView, p4wRequest & Request, int isForm );
	virtual	 ~p4wClientPane();

	//
	// Overrides for spec panes.
	
	virtual	int IgnoreField( const char * field );
	virtual	int MakeFieldReadOnly( const char * field );
	virtual	int CustomField( const char * field, StrDict * varList,
		int len = 0, SpecElem *se = NULL );
	virtual void End();	
	virtual void GetAction( StrBuf & actionURL );
	virtual void RenderInfo( char *data, char level );
	virtual void RenderExistsNotNew( StrDict * varList );
	virtual void SetActionOverride( AllCommands ac ) { fOverrideCmd = ac; }

private:
	int doCustomForm( const char * field, StrDict * varList, int len );
	int doCustomNotForm( const char * field, StrDict * varList );

	AllCommands fOverrideCmd;
};

#endif // p4wClientPane_H
