//
// Copyright 2008 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wDiff2DirsPane:
//   Displays output of diff2 for dirs


#ifndef p4wDiff2DirsPane_H
#define p4wDiff2DirsPane_H

#include "p4wPane.h"


class p4wDiff2DirsPane : public p4wPane {

public:

	p4wDiff2DirsPane( p4wView & ParentView, p4wRequest & Request, StrPtr *path, StrPtr *path2=0 );
	virtual	~p4wDiff2DirsPane();

	//
	// Render functions.
	
	virtual	void Begin();
	virtual	void Render( StrDict * varList );
	virtual	void RenderText( char *data );
	virtual void RenderInfo( char *data, char level );
	virtual void RenderError( char *data, int escapeHTML );
	virtual	void End();

private:

	//
	// Any data returned?
	
	int fSeenData;

	//
	// Count of chg types

	int fDiff;
	int fDel;
	int fAdd;
	int fTypes;
	int fOther;

	//
	// Path(s) diffed
	
	StrBuf fPath1;
	StrBuf fPath2;
};

#endif // p4wDiff2DirsPane_H
