//
// Copyright 2008 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.

//
// p4wDiff2FilesPane:
//   Generates a form for specifying 2 files to diff

#ifndef p4wDiff2FilesPane_H
#define p4wDiff2FilesPane_H

#include "p4wRunPane.h"

class StrDict;

class p4wDiff2FilesPane : public p4wRunPane {

public:
	p4wDiff2FilesPane( p4wView & ParentView, p4wRequest & Request );
	virtual		~p4wDiff2FilesPane();

	//
	// Render functions.
	
	virtual void	Begin();
	virtual	void	RenderContent();
	virtual	void	End();

	//
	// Overrides for spec edit panes.
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	int 	IgnoreField( const char * field ) { return 0; };
	virtual	int 	CustomField( const char * field, StrDict * varList, 
						int maxFieldLen, SpecElem *se ) { return 0; };
	virtual void	HandleError( Error *e );

private:
	int fIsFileBrowser;
	int fGotOneFile;
	int fIsRemoveCmd;
};

#endif // p4wDiff2FilesPane_H
