//
// Copyright 1999 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wGoPane: allow the user to go to a chglist, branch. label, client, user, job


#include <p4wp4.h>

#include "p4wStrBuf.h"
#include "p4wHtml.h"

#include "p4wPane.h"
#include "p4wGoPane.h"


p4wGoPane::p4wGoPane( p4wView & ParentView, p4wRequest & Request)
	: p4wPane(ParentView, Request)
{
}


p4wGoPane::~p4wGoPane()
{
}

void p4wGoPane::DrawPane()
{
	if (!(fRequest.GetScreenChunks() & SCRN_TOOLBAR))
		return;

	//
	// Draw the goto page
	
	p4wHtml htm;
	StrBuf actionURL;
	
	GetAction( actionURL );	
	
	fIsForm = 0;
	
	htm.comment( "BEGIN GOTO PANE" );

	htm.beginTRow( NULL, NULL, "#EEEEEE" );
	if( !fRequest.HideRecentChanges() )
		htm.beginCol( NULL, NULL, "5" );
	else
		htm.beginCol();

	htm.beginTable(0, "100%", "1", "5", "#EEEEEE");
	htm.beginTRow( NULL, NULL, "#EEEEEE" );
	htm.beginCol();

	htm.beginForm( actionURL.Text() );
	htm.endCol();

	htm.beginCol(0,0,0,0,0,0,0,1);
	htm.text( "Go to:" );

	const StrPtr *rg = fRequest.GetStateArg( "rg" );

	htm.beginSelect( "type" );
	htm.selectOpt( *(rg->Text()) == 's' ? 1 : 0, "S" );
	htm.text( "Changelist" );
	htm.selectOpt( *(rg->Text()) == 'b' ? 1 : 0, "B" );
	htm.text( "Branch" );
	htm.selectOpt( *(rg->Text()) == 'l' ? 1 : 0, "L" );
	htm.text( "Label" );
	htm.selectOpt( *(rg->Text()) == 'c' ? 1 : 0, "C" );
	htm.text( "Client" );
	htm.selectOpt( *(rg->Text()) == 'u' ? 1 : 0, "U" );
	htm.text( "User" );
	htm.selectOpt( *(rg->Text()) == 'j' ? 1 : 0, "J" );
	htm.text( "Job" );
	htm.endSelect();

	AllCommands cmd = fRequest.GetCmd();
	if (cmd == AC_DIFFWVC || cmd == AC_DIFFCVH || cmd == AC_DIFFWVH 
	 || cmd == AC_DIFFRVW || cmd == AC_DIFF2   || cmd == AC_DIFF21 || cmd == AC_DIFF22)
		htm.textField( "p4", "", 60, 0, 0,
					"document.getElementById('nextprev').checked=false", 
					"document.getElementById('nextprev').checked=true" );
	else
		htm.textField( "p4", "", 60 );
	htm.button( "p4go", "Go" );

	htm.endCol();

	htm.beginCol();
	htm.endForm();
	htm.endCol();
	htm.endTRow();
	htm.endCol();
	htm.endTRow();
	htm.endTable();
	
	htm.comment( "END GOTO PANE" );

	fRequest << htm;
}

void p4wGoPane::GetAction( StrBuf & actionURL )
{
	//
	// Constructs url used for the form ACTION value

	StrBuf path;
	path << fRequest.GetURL();
	
	fRequest.ConstructSafeURL( actionURL, path.Text(), AC_GOPROCESSOR, NULL );
}
