//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.

// p4wJobsPane:
//   Creates a list of jobs in a form allowing you to set
//   a filter and/or max number of jobs to display

#ifndef p4wJobsPane_H
#define p4wJobsPane_H

#include "p4wPane.h"

class StrDict;
class p4wStrBuf;

class p4wJobsPane : public p4wPane {

public:

	p4wJobsPane( p4wView & ParentView, p4wRequest & Request );

	virtual			~p4wJobsPane();

	//
	// Render functions.
	virtual	void		Begin();
	virtual	void		Render( StrDict * varList );
	virtual	void		End();

	void			ConstructLocationURL( p4wStrBuf *jobURL );

private:
	void			doSubmitButton();
	void			doFilterMessage(StrBuf *msg);
	void			doShowChoices();
	int 			isHiddenField( const char *field, int code );
	
	//
	// Job field names used in StrDict table
	
	StrBuf			fJobField;
	StrBuf			fUserField;
	StrBuf			fDateField;
	StrBuf			fStatusField;
	StrBuf			fDescriptionField;
	
	Spec			fJobSpec;
	
	int			fSeenBegin;
	int			fSeenData;
	int			fGotSpec;
	int			fRowCtr;
	int			fJobCtr;
	StrBuf		fColCtrStr;
};

#endif // p4wJobsPane_H
