//
// Copyright 2002 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wPrintPane:
//	Displays the result of the p4 print command on the
//	file browser page.


#ifndef p4wPrintPane_H
#define p4wPrintPane_H

#include "p4wPane.h"


class p4wPrintPane : public p4wPane {

public:

	p4wPrintPane( p4wView & ParentView, p4wRequest & Request );
	
	virtual	~p4wPrintPane();

	//
	// Render functions.
	
	virtual	void Begin();
	virtual	void RenderText( char *data );
	virtual	void RenderBinary( char *data, int len );
	virtual	void End();
	
private:
	int fSeenData;
	int linecounter;
	int bShowLineNo;
	int fJSauto;
	void startTable();
	void renderData( char *data );
};

#endif // p4wPrintPane_H
