//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.

// p4wRSSJobsPane:
//   Creates a list of jobs in a form allowing you to set
//   a filter and/or max number of jobs to display

#ifndef p4wRSSJobsPane_H
#define p4wRSSJobsPane_H

#include "p4wPane.h"

class StrDict;

class p4wRSSJobsPane : public p4wPane {

public:

	p4wRSSJobsPane( p4wView & ParentView, p4wRequest & Request );

	virtual			~p4wRSSJobsPane();

	//
	// Render functions.
	virtual	void		Begin();
	virtual	void		Render( StrDict * varList );
	virtual	void		End();

	void SetFeedTitle(char *p) { feedTitle.Set(p); }

	//
	// Set and Get default DynArgs
	void SetDefaultMX(char *p) { fMX.Set(p); }
	void SetDefaultFT(char *p) { fFT.Set(p); }
	const StrPtr GetDefaultMX() { return fMX; }
	const StrPtr GetDefaultFT() { return fFT; }

private:
	int isHiddenField( const char *field, int code );

	//
	// Job field names used in StrDict table
	
	StrBuf			fJobField;
	StrBuf			fUserField;
	StrBuf			fDateField;
	StrBuf			fStatusField;
	StrBuf			fDescriptionField;
	
	Spec			fJobSpec;
	
	int			fSeenBegin;
	int			fSeenData;
	int			fGotSpec;

	StrBuf		feedTitle;

	//
	// Default values to use if no DynArgs
	StrBuf		fMX;
	StrBuf		fFT;
};

#endif // p4wRSSJobsPane_H
