//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.

// p4wSubmittedChangesPane:
//   Creates a list of submitted changes in a form allowing you to see
//   them in batches

#ifndef p4wSubmittedChangesPane_H
#define p4wSubmittedChangesPane_H


//
// Includes
#include "p4wPane.h"


//
// External classes
class StrDict;


//
// p4wSubmittedChangesPane class
class p4wSubmittedChangesPane : public p4wPane {

public:
	//
	// Constructors and destructor.
				p4wSubmittedChangesPane(p4wView & ParentView, 
					p4wRequest & Request, int isFileBrowser);

	virtual			~p4wSubmittedChangesPane();

	//
	// Render functions.
	virtual	void		Begin();
	virtual	void		Render(StrDict * varList);
	virtual	void		End();
	
	virtual void		RenderError(char *data, int escapeHTML);

private:

	void			doSubmitButton();
	void			doFilterMessage(StrBuf *msg);
	void			generateTitle();

	int	fIsFileBrowser;
	
	StrBuf	fTitle;

	int		fRowCtr;
	int		fChgCtr;
};

#endif // p4wSubmittedChangesPane_H
