//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.

//
// p4wSyncPane:
//   Generates a form for performing a sync

#ifndef p4wSyncPane_H
#define p4wSyncPane_H

#include "p4wRunPane.h"

class StrDict;

class p4wSyncPane : public p4wRunPane {

public:
	p4wSyncPane( p4wView & ParentView, p4wRequest & Request, 
		int isFileBrowser, int isRemove );
	virtual		~p4wSyncPane();

	//
	// Render functions.
	
	virtual void	Begin();
	virtual	void	Render( StrDict * varList );
	virtual	void	End();
	void		RenderNoFiles();

	//
	// Overrides for spec edit panes.
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	int	IgnoreField( const char * field ) { return 0; };
	virtual	int	CustomField( const char * field,
		StrDict * varList, int maxFieldLen, SpecElem *se ) { return 0; };
	virtual void	HandleError( Error *e );

private:
	int fIsFileBrowser;
	int fGotOneFile;
	int fIsRemoveCmd;
};

#endif // p4wSyncPane_H
