//
// Copyright 2002 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wWherePane:
//	runs p4 where - saves results in 3 StrBufs


#include <p4wp4.h>

#include "p4wStrBuf.h"
#include "p4wHtml.h"

#include "p4wPane.h"
#include "p4wWherePane.h"


p4wWherePane::p4wWherePane( p4wView & ParentView, p4wRequest & Request )
	: p4wPane( ParentView, Request ), fSeenData(0), fError(0)
{
}

p4wWherePane::~p4wWherePane()
{
}


void p4wWherePane::Begin()
{
}


void p4wWherePane::Render( StrDict * varList )
{
	if( fSeenData )
		return;

	const StrPtr *unmap = varList->GetVar( "unmap" );
	const StrPtr *depotFile = varList->GetVar( "depotFile" );
	const StrPtr *clientFile = varList->GetVar( "clientFile" );
	const StrPtr *path = varList->GetVar( "path" );
	if (depotFile)
		fDepotPath.Set(depotFile);
	if (clientFile)
		fClientPath.Set(clientFile);
	if (path)
		fLocalPath.Set(path);
	if (unmap)
		return;

	fSeenData = 1;
}

void p4wWherePane::RenderError( char *data, int escapeHTML )
{
	if( fSeenData )
		return;

	fErrMsg << data << " ";
	fError = 1;
}

void p4wWherePane::End()
{
}
