//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wWorkspacePane:
//   Gets the client -o root value which is used to set the wr state variable

#ifndef p4wWorkspacePane_H
#define p4wWorkspacePane_H

#include "p4wPane.h"


class StrDict;


class p4wWorkspacePane : public p4wPane {

public:

				p4wWorkspacePane( p4wView & ParentView, p4wRequest & Request );
	virtual			~p4wWorkspacePane();

	//
	// Render functions.
	
	virtual void		RenderInfo( char *data, char level );
	virtual	void 		Render( StrDict * varList );
	virtual void		RenderError( char *data, int escapeHTML ) {};
	
	char *			GetRoot() { return fRoot.Length() ? fRoot.Text() : NULL; };
	
private:
	//
	// massages client root value to a value we can use as workspace root
	
	void			setWorkspaceRoot( const char *clientRoot );
	
	//
	// root value used for the workspace root
	
	StrBuf			fRoot;
	
};

#endif // p4wWorkspacePane_H
